clang-tools 6.0.0

Functions | Variables
run-clang-tidy Namespace Reference

## Functions
def | find_compilation_database (path)
def | make_absolute (f, directory)
def | get_tidy_invocation (f, clang_tidy_binary, checks, tmpdir, build_path, header_filter, extra_arg, extra_arg_before, quiet)
def | merge_replacement_files (tmpdir, mergefile)
def | check_clang_apply_replacements_binary (args)
def | apply_fixes (args, tmpdir)
def | run_tidy (args, tmpdir, build_path, queue)
def | main ()

## Variables
string | is_py2 = '2'

## Function Documentation

## ◆ apply_fixes()

def run-clang-tidy.apply_fixes | ( |  | args,
|  |  | tmpdir
| ) |  |

    Calls clang-apply-fixes on a given directory.

Definition at line 142 of file run-clang-tidy.py.

Referenced by main().

## ◆ check_clang_apply_replacements_binary()

def run-clang-tidy.check_clang_apply_replacements_binary | ( |  | args | ) |

    Checks if invoking supplied clang-apply-replacements binary works.

Definition at line 131 of file run-clang-tidy.py.

Referenced by main().

## ◆ find_compilation_database()

def run-clang-tidy.find_compilation_database | ( |  | path | ) |

    Adjusts the directory until a compilation database is found.

Definition at line 60 of file run-clang-tidy.py.

Referenced by main().

## ◆ get_tidy_invocation()

def run-clang-tidy.get_tidy_invocation | ( |  | f,
|  |  | clang_tidy_binary,
|  |  | checks,
|  |  | tmpdir,
|  |  | build_path,
|  |  | header_filter,
|  |  | extra_arg,
|  |  | extra_arg_before,
|  |  | quiet
| ) |  |

    Gets a command line for clang-tidy.

Definition at line 78 of file run-clang-tidy.py.

Referenced by make_absolute(), and run_tidy().

## ◆ main()

def run-clang-tidy.main | ( |  | ) |

Definition at line 166 of file run-clang-tidy.py.

References apply_fixes(), check_clang_apply_replacements_binary(), find_compilation_database(), clang::tidy::cppcoreguidelines.join(), make_absolute(), and merge_replacement_files().

## ◆ make_absolute()

def run-clang-tidy.make_absolute | ( |  | f,
|  |  | directory
| ) |  |

Definition at line 71 of file run-clang-tidy.py.

References get_tidy_invocation().

Referenced by main().

## ◆ merge_replacement_files()

def run-clang-tidy.merge_replacement_files | ( |  | tmpdir,
|  |  | mergefile
| ) |  |

    Merge all replacement files in a directory into a single file

Definition at line 106 of file run-clang-tidy.py.

Referenced by main().

## ◆ run_tidy()

def run-clang-tidy.run_tidy | ( |  | args,
|  |  | tmpdir,
|  |  | build_path,
|  |  | queue
| ) |  |

    Takes filenames out of queue and runs clang-tidy on them.

Definition at line 153 of file run-clang-tidy.py.

References get_tidy_invocation(), and clang::tidy::cppcoreguidelines.join().

## Variable Documentation

## ◆ is_py2

string run-clang-tidy.is_py2 = '2'

Definition at line 53 of file run-clang-tidy.py.